> For the complete documentation index, see [llms.txt](https://docs.postgresql.tw/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.postgresql.tw/reference/sql-commands/sql-dropeventtrigger.md).

# DROP EVENT TRIGGER

### DROP EVENT TRIGGER

DROP EVENT TRIGGER — remove an event trigger

### Synopsis

```

DROP EVENT TRIGGER [ IF EXISTS ] name [ CASCADE | RESTRICT ]
```

### Description

`DROP EVENT TRIGGER` removes an existing event trigger. To execute this command, the current user must be the owner of the event trigger.

### Parameters

`IF EXISTS` : Do not throw an error if the event trigger does not exist. A notice is issued in this case.

*`name`* : The name of the event trigger to remove.

`CASCADE` : Automatically drop objects that depend on the trigger, and in turn all objects that depend on those objects (see [Section 5.15](/the-sql-language/ddl/ddl-depend.md)).

`RESTRICT` : Refuse to drop the trigger if any objects depend on it. This is the default.

### Examples

Destroy the trigger `snitch`:

```

DROP EVENT TRIGGER snitch;
```

### Compatibility

There is no `DROP EVENT TRIGGER` statement in the SQL standard.

### See Also

[CREATE EVENT TRIGGER](/reference/sql-commands/sql-createeventtrigger.md), [ALTER EVENT TRIGGER](/reference/sql-commands/sql-altereventtrigger.md)

***

原文：[PostgreSQL 18.6 Documentation](https://www.postgresql.org/docs/18/sql-dropeventtrigger.html)（英文原文，待翻譯）


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.postgresql.tw/reference/sql-commands/sql-dropeventtrigger.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
